{    var   : }
{ RLB, RUB, M }
Unit AEH3C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER7R_p, AER4R_p, AER14R_p, AER6R_p, UTAE10_p;

procedure AEH3C(N :Integer; var AR :Array of Real;
                var AI :Array of Real; var VR :Array of Real;
                var VI :Array of Real; var EV :Array of Real;
                var RLB :Real; var RUB :Real; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Real; var RAB2 :Array of Real;
                var IERR :Integer);

implementation

procedure AEH3C(N :Integer; var AR :Array of Real;
                var AI :Array of Real; var VR :Array of Real;
                var VI :Array of Real; var EV :Array of Real;
                var RLB :Real; var RUB :Real; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Real; var RAB2 :Array of Real;
                var IERR :Integer);
var
N1,N2,N3,N4,N5,N6,N7 :Integer;
EPS1 :Real;
label
_1;
begin
N1 := N+1;
N2 := N1+N;
N3 := N2+N;
N4 := N3+N;
N5 := N4+N;
N6 := N5+N;
N7 := N6+N;
AER7R(N,N,AR,AI,RAB2,RAB2[N1-1],RAB2[N2-1],RAB1);
EPS1 := 0.0;
AER4R(N,EPS1,RAB2,RAB2[N1-1],RAB2[N2-1],RLB,RUB,MM,M,
     EV,IRAB1,IERR,RAB2[N3-1],RAB2[N4-1]);
if ( IERR <> 0 )
 then goto _1;
AER14R(N,N,RAB2,RAB2[N1-1],RAB2[N2-1],M,EV,IRAB1,VR,
     IERR,RAB2[N3-1],RAB2[N4-1],RAB2[N5-1],RAB2[N6-1],RAB2[N7-1]);
if ( IERR <> 0 )
 then goto _1;
AER6R(N,N,AR,AI,RAB1,M,VR,VI);
_1:
if ( IERR <> 0 ) 
 then UTAE10(IERR,N,18);
end;

end.
